> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/finpay-pg/snap/qris-tap-aggregator/query-payment.md).

# Query Payment

#### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL |
| ----------- | ------ | --- |
| Development | POST   | TBC |
| Production  | POST   | TBC |

#### Body Request <a href="#body-request" id="body-request"></a>

| No | Name                       | Type   | Mandatory | Min Length | Max Length | Description                                                |
| -- | -------------------------- | ------ | --------- | ---------- | ---------- | ---------------------------------------------------------- |
| 1  | originalPartnerReferenceNo | String | M         | 1          | 64         | Original transaction identifier on service consumer system |
| 2  | merchantId                 | String | M         | 1          | 64         | Merchant identifier that is unique for each merchant       |

**Sample Request**

```
{
  "originalPartnerReferenceNo": "2020102900000000000001",
  "merchantId": "00007100010926"
}
```

#### Body Response <a href="#body-response" id="body-response"></a>

| No | Name                       | Type                                                                   | Mandatory | Min Length | Max Length | Description                                                                      |
| -- | -------------------------- | ---------------------------------------------------------------------- | --------- | ---------- | ---------- | -------------------------------------------------------------------------------- |
| 1  | responseCode               | [Enum](https://docs.finpay.id/appendix/enumeration/response-code-list) | M         | 1          | 7          | BI SNAP response code                                                            |
| 2  | responseMessage            | String                                                                 | M         | 1          | 150        | BI SNAP response message                                                         |
| 3  | originalReferenceNo        | String                                                                 | M         | 1          | 64         | Original transaction identifier on service provider system                       |
| 4  | originalPartnerReferenceNo | String                                                                 | O         | 1          | 64         | Original transaction identifier on service consumer system                       |
| 5  | latestTransactionStatus    | String                                                                 | M         | 1          | 2          | Latest transaction status. Values: `00` = Success, `03` = Pending, `06` = Failed |
| 6  | transactionStatusDesc      | String                                                                 | M         | 1          | 50         | Transaction status description                                                   |
| 7  | paidTime                   | String (ISO 8601)                                                      | O         | 1          | 25         | Payment date and time in ISO 8601 format. Example: `2020-12-23T08:04:11+07:00`   |

**Sample Response**

```
{
  "responseCode": "2006100",
  "responseMessage": "Request has been processed successfully",
  "originalReferenceNo": "2020102977770000000009",
  "originalPartnerReferenceNo": "2020102900000000000001",
  "latestTransactionStatus": "00",
  "transactionStatusDesc": "success",
  "paidTime": "2020-12-23T08:04:11+07:00"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/finpay-pg/snap/qris-tap-aggregator/query-payment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
